#ifndef EMU_IRQ_H
#define EMU_IRQ_H

/*******************************************************************
  User space IRQ handling emulator for i386 Linux based PCs
  It uses VM86_PLUS services developed for DOSEMU

  emu_irq.h

  (C) Copyright 1998 by Pavel Pisa 

  This code is distributed under the Gnu General Public Licence. 
  See file COPYING for details.
 *******************************************************************/

 // pokud pouzivate -std=c99 musite nadefinovat tyto 2 makra,
// aby se spravne vlozil signal.h
//#define __USE_POSIX
//#define __USE_UNIX98
#include <signal.h>


#define USER_SPACE_EMU_IRQ

#define EMU_IRQ_SIG SIGIO

void emu_irq_set_prio(int prio);

void emu_irq_cli(void);

void emu_irq_sti(void);

typedef  void (emu_irq_handler)(int intno, void *dev_id, void *regs);

int  request_emu_irq(unsigned int intno,
                     emu_irq_handler *handler,
                     unsigned long flags,
                     const char *device,
                     void *dev_id);

int  release_emu_irq(int intno, void *dev_id);

int emu_irq_thread_prio_set(int prio);

#endif /* EMU_IRQ_H */
